#pragma once

namespace blitz {

class EMASmoother {
  private:
	float Alpha;

  public:
	float Current;
	EMASmoother();
	void TickUnitT(float target);
	void Tick(float target, float delta);
	float GetAlpha();
	void SetAlpha(float alpha);
	void SetSmoothingTime(float t);
};

}  // namespace blitz